## Create a new Site `client.magicTransit.sites.create(SiteCreateParamsparams, RequestOptionsoptions?): Site` **post** `/accounts/{account_id}/magic/sites` Creates a new Site ### Parameters - `params: SiteCreateParams` - `account_id: string` Path param: Identifier - `name: string` Body param: The name of the site. - `connector_id?: string` Body param: Magic Connector identifier tag. - `description?: string` Body param - `ha_mode?: boolean` Body param: Site high availability mode. If set to true, the site can have two connectors and runs in high availability mode. - `location?: SiteLocation` Body param: Location of site in latitude and longitude. - `lat?: string` Latitude - `lon?: string` Longitude - `secondary_connector_id?: string` Body param: Magic Connector identifier tag. Used when high availability mode is on. ### Returns - `Site` - `id?: string` Identifier - `connector_id?: string` Magic Connector identifier tag. - `description?: string` - `ha_mode?: boolean` Site high availability mode. If set to true, the site can have two connectors and runs in high availability mode. - `location?: SiteLocation` Location of site in latitude and longitude. - `lat?: string` Latitude - `lon?: string` Longitude - `name?: string` The name of the site. - `secondary_connector_id?: string` Magic Connector identifier tag. Used when high availability mode is on. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const site = await client.magicTransit.sites.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', name: 'site_1', }); console.log(site.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "connector_id": "ac60d3d0435248289d446cedd870bcf4", "description": "description", "ha_mode": true, "location": { "lat": "37.6192", "lon": "122.3816" }, "name": "site_1", "secondary_connector_id": "8d67040d3835dbcf46ce29da440dc482" }, "success": true } ```